Subject: Re: bug#78925: 31.0.50; ffap's filename prompt problem in remote files, [PATCH] Add option 'ffap-prefer-remote-file' (bug#78925)

From: Michael Albinus <[email-masked]>
Date: Tue, 08 Jul 2025 12:33:35 +0200

Liu Hui <[email-masked]> writes:

Hi,

>> >  (require 'cl-lib)
>> >  (require 'ert)
>> > +(require 'tramp)
>> >  (require 'ert-x)
>> >  (require 'ffap)
>>
>> Why Tramp? I guess it isn't needed.
>
> The comment of ert-remote-temporary-file-directory:
>
> ;; If this defvar is used in a test file, `tramp' shall be loaded
> ;; prior `ert-x'.  There is no default value on w32 systems, which
> ;; could work out of the box.

Ah, yes. I wrote this comment myself, but I tend to forget everything :-(

Otherwise, the patch LGTM.

Best regards, Michael.